Package twisted :: Package coil :: Package plugins :: Module socks :: Class SOCKSConfigurator |
[show private | hide private]
[frames | no frames]

## Class SOCKSConfigurator

    Configurator --+
                   |
                  SOCKSConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring. (inherited from `Configurator`)
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)

Class Variable Summary
`str` | `configName`
`dict` | `configTypes`
`class` | `SOCKSv4Factory`

Class Variable Details

    ### configName Type: `str` Value:
        'SOCKSv4 Proxy'

    ### configTypes Type: `dict` Value:
        {'logging': [<type 'str'>, 'Logfile', 'Path to log file.']}

### SOCKSv4Factory `SOCKSv4Factory` = `twisted.protocols.socks.SOCKSv4Factory`

Generated by Epydoc 1.1 on Thu May 8 13:16:20 2003 | http://epydoc.sf.net